org.jetlang.remote.core

## Class TcpSocket

- java.lang.Object
- - org.jetlang.remote.core.TcpSocket

All Implemented Interfaces:
  ClosableOutputStream

    public class TcpSocket
    extends Object
    implements ClosableOutputStream

User: mrettig Date: 4/13/11 Time: 9:44 AM

### Constructor Summary

Constructors
Constructor and Description
`TcpSocket(Socket socket, ErrorHandler errorHandler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `close()`
`InputStream` `getInputStream()`
`OutputStream` `getOutputStream()`
`SocketAddress` `getRemoteSocketAddress()`
`Socket` `getSocket()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TcpSocket

    public TcpSocket(Socket socket,
                     ErrorHandler errorHandler)

### Method Detail

#### close

    public boolean close()

Specified by:
  `close` in interface `ClosableOutputStream`

#### getSocket

    public Socket getSocket()

#### getRemoteSocketAddress

    public SocketAddress getRemoteSocketAddress()

#### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

Specified by:
  `getOutputStream` in interface `ClosableOutputStream`
Throws:
  `IOException`

#### getInputStream

    public InputStream getInputStream()
                               throws IOException

Throws:
  `IOException`